Subject: Re: linux-next: manual merge of the char-misc tree with the char-misc.current tree

From: Srinivas Kandagatla <[email-masked]>
Date: Wed, 3 Apr 2019 06:06:54 +0100

On 03/04/2019 04:56, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the char-misc tree got a conflict in:
> 
>    drivers/misc/fastrpc.c
> 
> between commit:
> 
>    01b76c32e3f3 ("misc: fastrpc: add checked value for dma_set_mask")
> 
> from the char-misc.current tree and commit:
> 
>    977e6c8d1d18 ("misc: fastrpc: use correct spinlock variant")
> 
> from the char-misc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
Greg did request Bo YU to rebase this patch on top of char-misc tree.

That would be a real fix for this conflict, until then this fixup should 
work.

--srini
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>